curl --request POST \
--url http://sandbox.mintlify.com/merchant/open/v1/pay/merchant/product/queryOne \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"merchantProdNo": "70778357377269765"
}
'{
"success": "true",
"code": "0",
"message": "",
"data": {
"merchantProductNo": "QJDC",
"productNo": "70778357377269765",
"productName": "Qingju Bike",
"productDesc": "Qingju Bike Membership",
"productLogo": "https://s3.ap-northeast-1.amazonaws.com/gimg.gateimg.com/image/1627288/fe48d444c1943d65fb0125d766a7124d277f52d7112eebe6df47e321bafda073.jpg",
"status": "ACTIVE",
"createTime": 1773988434402,
"updateTime": 1773988434402,
"priceList": [
{
"merchantPriceNo": "QJDC_1",
"priceNo": "70778357377269766",
"productNo": "70778357377269765",
"priceName": "Monthly Plan",
"priceDesc": "Monthly",
"priceType": "FIX_AMOUNT",
"payChannels": null,
"amountType": "crypto",
"cryptoCurrency": "USDT",
"cryptoAmount": 0.01,
"fiatCurrency": "",
"fiatAmount": null,
"period": "MONTH",
"interval": 2,
"promoConfigType": "NONE",
"promoAmount": null,
"promoRate": null,
"status": "ACTIVE",
"createTime": 1773988434402,
"updateTime": 1773988434402
}
]
}
}Query product details
curl --request POST \
--url http://sandbox.mintlify.com/merchant/open/v1/pay/merchant/product/queryOne \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"merchantProdNo": "70778357377269765"
}
'{
"success": "true",
"code": "0",
"message": "",
"data": {
"merchantProductNo": "QJDC",
"productNo": "70778357377269765",
"productName": "Qingju Bike",
"productDesc": "Qingju Bike Membership",
"productLogo": "https://s3.ap-northeast-1.amazonaws.com/gimg.gateimg.com/image/1627288/fe48d444c1943d65fb0125d766a7124d277f52d7112eebe6df47e321bafda073.jpg",
"status": "ACTIVE",
"createTime": 1773988434402,
"updateTime": 1773988434402,
"priceList": [
{
"merchantPriceNo": "QJDC_1",
"priceNo": "70778357377269766",
"productNo": "70778357377269765",
"priceName": "Monthly Plan",
"priceDesc": "Monthly",
"priceType": "FIX_AMOUNT",
"payChannels": null,
"amountType": "crypto",
"cryptoCurrency": "USDT",
"cryptoAmount": 0.01,
"fiatCurrency": "",
"fiatAmount": null,
"period": "MONTH",
"interval": 2,
"promoConfigType": "NONE",
"promoAmount": null,
"promoRate": null,
"status": "ACTIVE",
"createTime": 1773988434402,
"updateTime": 1773988434402
}
]
}
}Merchant client ID, obtained from GatePay platform application
"4186d0c6-6a35-55a9-8dc6-5312769dbff8"
HMAC-SHA256 signature, used to verify request legitimacy
"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"
Timestamp (milliseconds), time difference with server cannot exceed 5 minutes
"1672905655498"
Random number, used to prevent replay attacks
"9578"
Query product details request parameters
Product code